import java.util.*;

public class DemoMap {

    public static void collection() {
        
        List<List<String>> list = new ArrayList<>();
        
        List<String> group1 = new ArrayList<>();
        group1.add("Karel");
        group1.add("Pepa");
        
        list.add(group1);
        
        System.out.println(list);
        
        Map<String, Set<String>> map = new HashMap<>();
        Set<String> set1 = new HashSet<>();
        set1.add("Babis/Bures");
        set1.add("Zlatuska");
        map.put("ANO", set1);
        
        for (String key:map.keySet()) {
            for (String cand: map.get(key)) {
                System.out.println(cand);
            }
        }
      
        //Map<Set<String>, String>;
        
    }
    
    public static void setDemo() {
        SortedSet<Company> set = new TreeSet<>(new CompCombinedComparator());
        
        set.add(new Company("A", 333));
        set.add(new Company("C", 222));
        set.add(new Company("C", 111));
        
        for (Company comp : set) {
            System.out.println(comp);
        }
    }
    
    public static void mapDemo() {
        SortedMap<Company,Integer> map = new TreeMap<>(new CompCombinedComparator());
        
        Company c1 = new Company("A", 333);
        Company c2 = new Company("B", 333);
        Company c3 = new Company("B", 111);
        
        map.put(c1, 200);
        map.put(c2, 300);
        map.put(c3, 200);
        
        for (Company key : map.keySet()) {
            int value = map.get(key);
            System.out.println(key+":"+value);
        }
        
        for (int i : map.values()) {
            // usporadano podle prislusnych klicu
        }
    }
    
    
}
 
